xcb_input_focus_in_event_t(3)

NAME
xcb_input_focus_in_event_t -

SYNOPSIS
#include <xcb/xinput.h>

  Event datastructure

typedef struct xcb_input_focus_in_event_t {
    uint8_t         response_type;
    uint8_t         detail;
    uint16_t        sequence;
    xcb_timestamp_t time;
    xcb_window_t    window;
    uint8_t         mode;
    uint8_t         device_id;
    uint8_t         pad0[18];
} xcb_input_focus_in_event_t;

EVENT FIELDS

response_type
    The type of this event, in this case XCB_INPUT_FOCUS_IN. This field is also present in the xcb_generic_event_t and can be used to tell events apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

detail
    NOT YET DOCUMENTED.

time
    NOT YET DOCUMENTED.

window
    NOT YET DOCUMENTED.

mode
    NOT YET DOCUMENTED.

device_id
    NOT YET DOCUMENTED.

DESCRIPTION

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.